<?php
 
$f1 = $_REQUEST['t2'];
$f2 = $_REQUEST['t3'];
include("DF50000.php");
include('DFA0000.php');
//saca las incidencias de parametros de modulo

$inc_fal = $dt_parech['cve_fal'];
$inc_des = $dt_parech['cve_des'];
$ins_dfe = $dt_parech['cve_dfe'];
$ins_vac = $dt_parech['pri_vac'];
$ins_ret = $dt_parech['cve_ret'];
$ins_ret = $dt_parech['cve_ret'];
for ($i=0;$i<=$dias_diferencia;$i++){
	$cf = $timestamp1 = date("Y-m-d",mktime(0,0,0,$mes1,$dia1 + $i,$ano1)); 
	if ($_REQUEST['t4']=="T") @$sq_trab_a = mysqli_query($con ,"select * from dntrab_a where no_trab in (select no_nom from dndatnom where tip_nom = '".$_REQUEST['t1']."')");
	else @$sq_trab_a = mysqli_query($con ,"select * from dntrab_a where no_trab in (select no_nom from dndatnom where tip_nom = '".$_REQUEST['t1']."' and status = '".$_REQUEST['t4']."')");
	while(@$dt_trab_a=mysqli_fetch_array($sq_trab_a)){
		$empleado =  $dt_trab_a['no_nom'];
		$nom = $dt_trab_a['nom'] . ' ' . $dt_trab_a['ape_pat'] . ' ' . $dt_trab_a['ape_mat']; //nombre completo
		$he = $dt_trab_a['hora_ent']; // hora de entrada
        $hs = $dt_trab_a['hora_sal']; // hora de salida
		$dia_hes = $dt_trab_a['dia_hor_esp']; // dia de descanso 
		$hor_ees= $dt_trab_a['dia_hora_ent_esp'];// horario entrada espacial
		$hor_ses= $dt_trab_a['dia_hora_sal_esp'];//horario salida especia
		$reg_com= $dt_trab_a['reg_com']; //registra comida
		$dia_des1= $dt_trab_a['dia_des1']; //registra comida
		$dia_des2= $dt_trab_a['dia_des2']; //registra comida
		$tpo_tol= $dt_trab_a['tpo_tol']; //registra comida
		$tpo_com= $dt_trab_a['tpo_com']; //registra comida
		//si no hay registro en este dia de esta persona
		
		$sq_hisdec = mysqli_query($con ,"select * from dnhisdec where num_emp = '$empleado' and fecha = '$cf'");
		$dt_hisdec = mysqli_fetch_array($sq_hisdec);
		
		if (mysqli_num_rows($sq_hisdec)== 0){
			mysqli_query ("insert into dnhisdec(num_emp, nombre, fecha, insidencia, tip_mov, hor_ent, hor_sal) values ('$empleado', '$nom', '$cf', '$inc_fal', '1','$he', '$hs')");
		}else{
			//echo "entro".$dt_hisdec['entrada'];
			if ($dt_hisdec['entrada'] == "00:00:00"){ // si coincide conincide con el dia de horario especial 
				
				mysqli_query($con ,"update dnhisdec set hor_ent='$he',hor_sal='$hs',insidencia = '$inc_fal' where num_emp='$empleado' and fecha = '$cf'");
				//mysqli_query ("update dnhisdec set insidencia = '' where num_emp = '$empleado' and fecha = '$cf'");
				//exit();
			}else{
				mysqli_query($con ,"update dnhisdec set hor_ent='$he',hor_sal='$hs',insidencia = '',ret_ent='', ret_com='',ret_tot='' where num_emp='$empleado' and fecha = '$cf'");
			}
		}

		//busco su dia de descanso y si coincide lo pongo con la indidencia de descanso 
		$dia_hoy = con_fec_dia($cf);// dia de hoy en letra


		//horario dia especial
//echo $dia_hoy.'<br>';
//echo $dia_hes.'<br>';
//echo $hor_ees.'<br>';
//echo $hor_ses.'<br>';
		if ($dia_hoy == $dia_hes){ // si coincide conincide con el dia de horario especial 
			mysqli_query($con ,"update dnhisdec set hor_ent='$hor_ees',hor_sal='$hor_ses' where num_emp='$empleado' and fecha = '$cf'");

		}

		if ($dia_hoy == $dia_des1 or $dia_hoy == $dia_des2){ // si coincide conincide con el dia de horario especial 
			mysqli_query ("update dnhisdec set insidencia = '$inc_des' where num_emp = '$empleado' and fecha = '$cf'");
			//echo $inc_des;
		}



		
		//buscar dia festivo y si lo encuentra agregar 
		if (mysqli_num_rows(mysqli_query($con ,"select * from dndiafes where fecha = '$cf'")) == 1){
			mysqli_query ("update dnhisdec set insidencia = '$ins_dfe' where num_emp = '$empleado' and fecha = '$cf'");
		}

		//prima dominical
		$dia_hoy = con_fec_dia($cf);// dia de hoy en letra
		if ($dia_hoy == 0 and $dt_hisdec['entrada'] <> "00:00:00"){ // si coincide conincide con el dia de horario especial 
			mysqli_query ("update dnhisdec set insidencia = '$ins_vac' where num_emp = '$empleado' and fecha = '$cf'");
		}
		
		//buscar nuevo horario segun programacion  si es si entra 

		$sq_relcau = mysqli_query($con ,"select * from dnrelcau where empleado = '$empleado' and fec_ini <= '$cf' and fec_fin >= '$cf'");
		$dt_relcau = mysqli_fetch_array($sq_relcau);

		if (mysqli_num_rows($sq_relcau) > 0){
			/* echo 'Valor 1:'.$empleado.'<br>';
			echo 'Valor 1:'.$cf.'<br>';
			echo "listo .".$dt_relcau['hor_ent'].'<br>';
			echo '----------------------------------------------<br>'; */
			if ($dt_relcau['hor_ent'] <> "00:00:00"){
				mysqli_query($con ,"update dnhisdec set insidencia='".$dt_relcau['ausencia']."', hor_ent='".$dt_relcau['hor_ent']."',hor_sal='".$dt_relcau['hor_sal']."' where num_emp='$empleado' and fecha = '$cf'");
				//exit();
			}else{
				mysqli_query($con ,"update dnhisdec set insidencia='".$dt_relcau['ausencia']."' where num_emp='$empleado' and fecha = '$cf'");
			}
			
		}
		//calcular retardos entrada si no tiene incidencia
    	$nnr = mysqli_fetch_array(mysqli_query($con ,"select * from dnhisdec where num_emp='$empleado' and fecha = '$cf'"));
		
		if ($nnr['insidencia'] == ""){
			//echo 'empleado : '.$empleado.'<br>';
			//echo 'fecha : '.$cf.'<br>';
			$sq_hisdec = mysqli_query($con ,"select * from dnhisdec where num_emp = '$empleado' and fecha = '$cf'");
			//echo 'reg  : '.mysqli_num_rows($sq_hisdec).'<br>';
			$dt_hisdec = mysqli_fetch_array($sq_hisdec);
			$he = $dt_hisdec['entrada']; // hora de entrada real
			//echo 'val1: '.$he.'<br>';
			$hep = $dt_hisdec['hor_ent']; // hora de entrada propuesta
			//echo 'v1al2: '.$hep.'<br>';
			$sal_com = $dt_hisdec['sal_com']; // hora salida comida
			$ent_com = $dt_hisdec['ent_com']; // entrada comida



			//exit();
			//$hen = date("h:i:s",mktime(substr($he,0,2),(int) substr($he,3,2)+ (int) $tpo_tol,substr($he,6,2),substr($cf,0,2),substr($cf,3,2),substr($cf,6,4)));
		$a = mktime(substr($he,0,2),(int)substr($he,3,2)+ (int)$tpo_tol,substr($he,6,2),substr($cf,0,2),substr($cf,3,2),substr($cf,6,4));
		//echo 'v1'.$a.'<br>';
		$b = mktime(substr($hep,0,2),substr($hep,3,2),substr($hep,6,2),substr($cf,0,2),substr($cf,3,2),substr($cf,6,4));
			//echo 'v2'.$b.'<br>';
			$ren = ($a - $b) / 60;
			
			if ($ren <= 0) $ren = 0;

	
			/* // rentardos comida
			$a = mktime(substr($sal_com,0,2),substr($sal_com,3,2),substr($sal_com,6,2),substr($cf,0,2),substr($cf,3,2),substr($cf,6,4));
			$b = mktime(substr($ent_com,0,2),substr($ent_com,3,2),substr($ent_com,6,2),substr($cf,0,2),substr($cf,3,2),substr($cf,6,4));
			$rco = ($b - $a) / 60;
			//echo 'v3'.$rco.'<br>';
			if ($rco <= $tpo_com) $rco = 0;
			else $rco = $tpo_com - $rco; */

			$rto = 0;
			$rto = $ren + $rco;
			
				
			$rto1 = date("H:i:s",mktime(0,(int)$rto,0,substr($cf,0,2),substr($cf,3,2),substr($cf,6,4)));
			$rco1 = date("H:i:s",mktime(0,(int)$rco,0,substr($cf,0,2),substr($cf,3,2),substr($cf,6,4)));
			$ren1 = date("H:i:s",mktime(0,(int)$ren,0,substr($cf,0,2),substr($cf,3,2),substr($cf,6,4)));
			//echo 'v3'.$ren1.'<br>';
	//exit();
			if ($rto > 0) mysqli_query($con ,"update dnhisdec set ret_ent='$ren1', ret_com='$rco1',ret_tot='$rto1',insidencia = '$ins_ret' where num_emp='$empleado' and fecha = '$cf'");
			//buscar si ya tiene incidencia no hace nada
			//echo 'v1 :'.$cf.'<br>';
			//echo 'v1 :'.$empleado.'<br>';
			//if ($nnr['insidencia'] <> "") mysqli_query($con ,"update dnhisdec set  where num_emp='$empleado' and fecha = '$cf'");
			
			
		}  
	}
}
//exit ();
?>
